/*
*****************************************************************
Library Name        : Ip Utility Library

Release Date        : 19/3/2011

Library Author      : Nart Schinackow (c)

Library Version     : V.1.0

Programing Language : C

Notes               : Utility Strings Lib Must Be Enabled
*****************************************************************
*/
char* ConvertIpAddress2String(unsigned char* IpArray)
{
	unsigned int i,j;
	char* p;
	for(i=0,j=0;i<4;i++)
	{
		p=ConvertByte2String(IpArray[i]);
		StringCopy(__IP_BUFFER__+j,p);
		while(__IP_BUFFER__[j]!='\0')j++;
		__IP_BUFFER__[j++]='.';
	}
	for(i=0,j=0;j!=4;i++)
		if(__IP_BUFFER__[i]=='.')++j;
	__IP_BUFFER__[--i]='\0';
	return __IP_BUFFER__;
}

void ConvertString2IpAddress(char* IpString, unsigned char* OutBuffer)
{
	unsigned char i,j;
	for(i=0,j=0;i<3;i++)
	{
		while(IpString[j]!='.')j++;
		IpString[j++]='\0';
		OutBuffer[i]=ConvertString2Byte(IpString);
		IpString+=j;
		j=0;
	}
	OutBuffer[i]=ConvertString2Byte(IpString);
}
