#line 1 "C:/Documents and Settings/Nart Schinackow/Desktop/W5100 Library Test/TestSource.c"
#line 1 "c:/documents and settings/nart schinackow/desktop/w5100 library test/stdio.h"
void UartPrint(char* Text);
void UartPrintLine(char* Text);
void UartPrintCharLine(char Write);
void UartPrintConst(const char* Text);
void UartPrintConstLine(const char* Text);
void UartPrintConstCharLine(const char Write);
void UartScanText(char* Buffer, char StopChar);
void UartScanChar(char* Read);
void UartPrintNChar(char* Buffer, char Size);
void UartPrintNCharLine(char* Buffer, char Size);
#line 1 "c:/documents and settings/nart schinackow/desktop/w5100 library test/standard_io.c"
void UartPrint(char* Text)
{
 while(*Text)UART1_Write(*Text++);
}


void UartPrintLine(char* Text)
{
 while(*Text)UART1_Write(*Text++);
 UART1_Write('\r');UART1_Write('\n');
}

void UartPrintCharLine(char Write)
{
 UART1_Write(Write);
 UART1_Write('\r');
 UART1_Write('\n');
}

void UartPrintConst(const char* Text)
{
 while(*Text)UART1_Write(*Text++);
}


void UartPrintConstLine(const char* Text)
{
 while(*Text)UART1_Write(*Text++);
 UART1_Write('\r');UART1_Write('\n');
}

void UartPrintConstCharLine(const char Write)
{
 UART1_Write(Write);
 UART1_Write('\r');
 UART1_Write('\n');
}

void UartScanText(char* Buffer, char StopChar)
{
 while(*(Buffer-1)!=StopChar)
 {
 while(!UART1_Data_Ready());
 *Buffer++=UART1_Read();
 }
 *--Buffer='\0';
}

void UartScanChar(char* Read)
{
 while(!UART1_Data_Ready());
 *Read=UART1_Read();
}

void UartPrintNChar(char* Buffer, char Size)
{
 char i;
 for(i=0;i<Size;i++)
 Uart1_Write(Buffer[i]);
}

void UartPrintNCharLine(char* Buffer, char Size)
{
 char i;
 for(i=0;i<Size;i++)
 Uart1_Write(Buffer[i]);

 Uart1_Write('\r');
 Uart1_Write('\n');
}
#line 1 "c:/documents and settings/nart schinackow/desktop/w5100 library test/string.h"
#line 18 "c:/documents and settings/nart schinackow/desktop/w5100 library test/string.h"
unsigned char __Byte__Buffer__[9];
unsigned char __Word__Buffer__[17];
char __BUFFER__[6];

void StringCopy(char* To, char* From);
void StringConcat(char* String, char* Add);
unsigned int StringLength(char* String);
char* ConvertInt2String(unsigned int Value);
unsigned int ConvertString2Int(char* String);
unsigned char* ConvertByte2BString(unsigned char Byte);
unsigned char* ConvertWord2BString(unsigned int Word);
unsigned char ConvertBStringToByte(char* ByteString);
unsigned int ConvertBStringToWord(char* WordString);
char* ConvertByte2String(unsigned char Value);
unsigned char ConvertString2Byte(char* String);
unsigned short StringCompare(char* StringA, char* StringB);
void StringReplace(char* x, char* y);
unsigned short StringNCompare(char* Str1, char* Str2, unsigned int Number);
void StringNCopy(char* To, char* From, unsigned int Number);
void StringToUpper(char* Str);
void StringToLower(char* Str);
unsigned char IsCharUpper(char c);
unsigned char IsCharLower(char c);
#line 1 "c:/documents and settings/nart schinackow/desktop/w5100 library test/utility_strings.c"
#line 16 "c:/documents and settings/nart schinackow/desktop/w5100 library test/utility_strings.c"
void StringCopy(char* To, char* From)
{
 while(*To++=*From++);
}

void StringConcat(char* String, char* Add)
{
 while(*++String);
 while(*String++=*Add++);
}

unsigned int StringLength(char* String)
{
 unsigned int __c__;
 for(__c__=0;*String;String++)__c__++;
 return __c__;
}
#line 47 "c:/documents and settings/nart schinackow/desktop/w5100 library test/utility_strings.c"
char* ConvertInt2String(unsigned int Value)
{
 unsigned int __t__;
 char* __p__;

 if(!Value)
 {
 __BUFFER__[0]='0';
 __BUFFER__[1]='\0';
 }
 else
 {
 __t__=Value;
 for(__p__=__BUFFER__;__t__>0;__t__/=10)__p__++;
 for(*__p__='\0';Value>0;Value/=10)*--__p__=(Value%10)+48;
 }
 return __p__=__BUFFER__;
}



unsigned int ConvertString2Int(char* String)
{
 unsigned int __c__;
 unsigned int __i__;
 unsigned int __s__;
 unsigned int __m__;
 for(__c__=0;*String;String++)__c__++;__s__=0;__m__=1;
 for(__i__=0;__i__<__c__;__i__++){__s__+=(*--String-48)*__m__;__m__*=10;}
 return __s__;
}


unsigned char* ConvertByte2BString(unsigned char Byte)
{
 unsigned char i;
 __Byte__Buffer__[8]='\0';
 for(i=7;i>0;i--)
 {
 __Byte__Buffer__[i]=(Byte%2)+48;
 Byte/=2;
 }
 __Byte__Buffer__[i]=(Byte%2)+48;
 return __Byte__Buffer__;
}

unsigned char* ConvertWord2BString(unsigned int Word)
{
 unsigned char i;
 __Word__Buffer__[16]='\0';
 for(i=15;i>0;i--)
 {
 __Word__Buffer__[i]=(Word%2)+48;
 Word/=2;
 }
 __Word__Buffer__[i]=(Word%2)+48;
 return __Word__Buffer__;
}


unsigned char ConvertBStringToByte(char* ByteString)
{
 unsigned char Offset,i,sum;
 for(i=7,Offset=1,sum=0;i>0;i--)
 {
 sum+=(ByteString[i]-48)*Offset;
 Offset*=2;
 }
 sum+=(ByteString[i]-48)*128;
 return sum;
}

unsigned int ConvertBStringToWord(char* WordString)
{
 unsigned char i;
 unsigned int sum,Offset;
 for(i=15,Offset=1,sum=0;i>0;i--)
 {
 sum+=(WordString[i]-48)*Offset;
 Offset*=2;
 }
 sum+=(WordString[i]-48)*32768;
 return sum;
}





char* ConvertByte2String(unsigned char Value)
{
 unsigned char __t__;
 char* __p__;

 if(!Value)
 {
 __BUFFER__[0]='0';
 __BUFFER__[1]='\0';
 }
 else
 {
 __t__=Value;
 for(__p__=__BUFFER__;__t__>0;__t__/=10)__p__++;
 for(*__p__='\0';Value>0;Value/=10)*--__p__=(Value%10)+48;
 }
 return __p__=__BUFFER__;
}



unsigned char ConvertString2Byte(char* String)
{
 unsigned char __c__;
 unsigned char __i__;
 unsigned char __s__;
 unsigned char __m__;
 for(__c__=0;*String;String++)__c__++;__s__=0;__m__=1;
 for(__i__=0;__i__<__c__;__i__++){__s__+=(*--String-48)*__m__;__m__*=10;}
 return __s__;
}




unsigned short StringCompare(char* StringA, char* StringB)
{
 unsigned int __l1__;
 unsigned int __l2__;
 __l1__=StringLength(StringA);
 __l2__=StringLength(StringB);
 if(__l1__!=__l2__)return 0;
 for(__l1__=0;*StringB;StringB++)if(*StringA++!=*StringB)return 0;
 return 1;
}


void StringReplace(char* x, char* y)
{
 while(*y)*x++=*y++;
}

unsigned short StringNCompare(char* Str1, char* Str2, unsigned int Number)
{
 while(Number>0)
 {
 if(*Str1++!=*Str2++)return 0;
 Number--;
 }
 return 1;
}


void StringNCopy(char* To, char* From, unsigned int Number)
{
 while(Number--!=0)
 *To++=*From++;
}

void StringToUpper(char* Str)
{
 while(*Str)
 {
 if(*Str>='a'&&*Str<='z')
 *Str-=' ';
 ++Str;
 }
}

void StringToLower(char* Str)
{
 while(*Str)
 {
 if(*Str>='A'&&*Str<='Z')
 *Str+=' ';
 ++Str;
 }
}

unsigned char IsCharUpper(char c)
{
 return (unsigned char)(c>='A'&&c<='Z');
}

unsigned char IsCharLower(char c)
{
 return (unsigned char)(c>='a'&&c<='z');
}
#line 1 "c:/documents and settings/nart schinackow/desktop/w5100 library test/ipaddress.h"
#line 17 "c:/documents and settings/nart schinackow/desktop/w5100 library test/ipaddress.h"
char __IP_BUFFER__[16];
char* ConvertIpAddress2String(unsigned char* IpArray);
void ConvertString2IpAddress(char* IpString, unsigned char* OutBuffer);
#line 1 "c:/documents and settings/nart schinackow/desktop/w5100 library test/utility_ip.c"
#line 16 "c:/documents and settings/nart schinackow/desktop/w5100 library test/utility_ip.c"
char* ConvertIpAddress2String(unsigned char* IpArray)
{
 unsigned int i,j;
 char* p;
 for(i=0,j=0;i<4;i++)
 {
 p=ConvertByte2String(IpArray[i]);
 StringCopy(__IP_BUFFER__+j,p);
 while(__IP_BUFFER__[j]!='\0')j++;
 __IP_BUFFER__[j++]='.';
 }
 for(i=0,j=0;j!=4;i++)
 if(__IP_BUFFER__[i]=='.')++j;
 __IP_BUFFER__[--i]='\0';
 return __IP_BUFFER__;
}

void ConvertString2IpAddress(char* IpString, unsigned char* OutBuffer)
{
 unsigned char i,j;
 for(i=0,j=0;i<3;i++)
 {
 while(IpString[j]!='.')j++;
 IpString[j++]='\0';
 OutBuffer[i]=ConvertString2Byte(IpString);
 IpString+=j;
 j=0;
 }
 OutBuffer[i]=ConvertString2Byte(IpString);
}
#line 1 "c:/documents and settings/nart schinackow/desktop/w5100 library test/w5100.h"
extern sfr sbit W5100_SCS;
extern sfr sbit W5100_SCS_DIRECTION;

extern sfr sbit W5100_RESET;
extern sfr sbit W5100_RESET_DIRECTION;
#line 56 "c:/documents and settings/nart schinackow/desktop/w5100 library test/w5100.h"
unsigned char Socket0;
extern void ProcessTcpRequest(char* Remote_Ip, char* Remote_Mac, unsigned int Remote_Port, unsigned int Local_port, unsigned int RequestLength);
char _Remote_Ip_Address_[4];
char _Remote_Mac_Address_[6];
#line 1 "c:/documents and settings/nart schinackow/desktop/w5100 library test/w5100_lib.c"
void W5100_Hardware_Init()
{
 W5100_SCS=1;
 W5100_RESET=1;
 W5100_SCS_DIRECTION=0;
 W5100_RESET_DIRECTION=0;
 SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV4,_SPI_DATA_SAMPLE_MIDDLE,_SPI_CLK_IDLE_LOW,_SPI_LOW_2_HIGH);
 W5100_SCS=1;
 W5100_RESET=1;
 delay_ms(10);

 W5100_RESET=0;
 delay_us(2);
 W5100_RESET=1;
 delay_ms(10);
}


void W5100_Write_Byte(unsigned int Address,unsigned short DATA)
{
 unsigned char HighAddress;
 unsigned char LowAddress;
 HighAddress=(Address&0xff00)>>8;
 LowAddress=Address&0x00ff;
 W5100_SCS=0;
 SPI1_Write( 0xF0 );
 SPI1_Write(HighAddress);
 SPI1_Write(LowAddress);
 SPI1_Write(DATA);
 W5100_SCS=1;
}

unsigned char W5100_Read_Byte(unsigned int Address)
{
 unsigned char HighAddress;
 unsigned char LowAddress;
 char Val;
 HighAddress=(Address&0xff00)>>8;
 LowAddress=Address&0x00ff;

 W5100_SCS=0;
 SPI1_Write( 0x0F );
 SPI1_Write(HighAddress);
 SPI1_Write(LowAddress);
 Val=SPI1_Read(0);
 W5100_SCS=1;
 return val;
}

void W5100_Init(char* IpAddress, char* Subnet, char* Gatway, char* MacAddress)
{
 W5100_Write_Byte( 0x0000 ,0x80);

 W5100_Write_Byte( 0X0001 ,Gatway[0]);
 W5100_Write_Byte( 0X0001 +1,Gatway[1]);
 W5100_Write_Byte( 0X0001 +2,Gatway[2]);
 W5100_Write_Byte( 0X0001 +3,Gatway[3]);

 W5100_Write_Byte( 0X0009 ,MacAddress[0]);
 W5100_Write_Byte( 0X0009 +1,MacAddress[1]);
 W5100_Write_Byte( 0X0009 +2,MacAddress[2]);
 W5100_Write_Byte( 0X0009 +3,MacAddress[3]);
 W5100_Write_Byte( 0X0009 +4,MacAddress[4]);
 W5100_Write_Byte( 0X0009 +5,MacAddress[5]);

 W5100_Write_Byte( 0X0005 ,Subnet[0]);
 W5100_Write_Byte( 0X0005 +1,Subnet[1]);
 W5100_Write_Byte( 0X0005 +2,Subnet[2]);
 W5100_Write_Byte( 0X0005 +3,Subnet[3]);

 W5100_Write_Byte( 0x000f ,IpAddress[0]);
 W5100_Write_Byte( 0x000f +1,IpAddress[1]);
 W5100_Write_Byte( 0x000f +2,IpAddress[2]);
 W5100_Write_Byte( 0x000f +3,IpAddress[3]);

 W5100_Write_Byte( 0x001A , 0x05 );
 W5100_Write_Byte( 0x001B , 0x05 );
}

void CloseSocket()
{

 W5100_Write_Byte( 0x0401 , 0x10 );

 while(W5100_Read_Byte( 0x0401 ));
}

void DisconnectSocket()
{

 W5100_Write_Byte( 0x0401 , 0x08 );

 while(W5100_Read_Byte( 0x0401 ));
}

unsigned char ReadStatusRegister()
{
 return W5100_Read_Byte( 0x0403 );
}

unsigned char IsSocketClosed()
{
 return (W5100_Read_Byte( 0x0403 ) ==  0x00 );
}

unsigned char IsSocketInitialized()
{
 return (W5100_Read_Byte( 0x0403 ) ==  0x13 );
}

unsigned char IsSocketListening()
{
 return (W5100_Read_Byte( 0x0403 ) ==  0x14 );
}




unsigned char InitSocket(unsigned int PORT)
{
 unsigned char Error;
 unsigned char HighByte;
 unsigned char LowByte;

 Error=1;

 if (IsSocketClosed())CloseSocket();


 W5100_Write_Byte( 0x0400 , 0x01 );


 HighByte=(PORT&0xff00)>>8;
 LowByte=(PORT&0x00ff);
 W5100_Write_Byte( 0x0404 ,HighByte);
 W5100_Write_Byte( 0x0404 +1,LowByte);

 W5100_Write_Byte( 0x0401 , 0x01 );


 while(W5100_Read_Byte( 0x0401 ));


 if (IsSocketInitialized())
 Error=0;
 else
 CloseSocket();

 return Error;
}


unsigned char StartListening()
{
 unsigned char Error;
 Error=1;

 if (IsSocketInitialized)
 {

 W5100_Write_Byte( 0x0401 , 0x02 );

 while(W5100_Read_Byte( 0x0401 ));

 if (IsSocketListening())
 Error=0;
 else
 CloseSocket();
 }
 return Error;
}

void W5100_WriteTxBuffer(unsigned int Address, char* Data, unsigned int Size)
{
 unsigned int i;
 for(i=0;i<Size;i++,Address++)
 {
 W5100_Write_Byte(Address,Data[i]);
 }
}

void W5100_ConstWriteTxBuffer(unsigned int Address, const char* Data, unsigned int Size)
{
 unsigned int i;
 for(i=0;i<Size;i++,Address++)
 {
 W5100_Write_Byte(Address,Data[i]);
 }
}

void W5100_ReadRxBuffer(unsigned int Address, char* Destination, unsigned int Size)
{
 unsigned int i;
 for(i=0;i<Size;i++,Address++)
 {
 Destination[i]=W5100_Read_Byte(Address);
 }
}

unsigned char Write_Page(char* TxBuffer, unsigned int SendSize)
{

unsigned int FreeSize;


unsigned int MemoryPointer;
unsigned int PhisycalAddress;
unsigned char HighByte;
unsigned char LowByte;
unsigned int GetOffset;


MemoryPointer =(unsigned int)W5100_Read_Byte( 0x0424 );
MemoryPointer=MemoryPointer<<8;
MemoryPointer=MemoryPointer|(unsigned int)W5100_Read_Byte( 0x0424 +1);

GetOffset=MemoryPointer& 0x07FF ;
PhisycalAddress= 0x4000 +GetOffset;

if(GetOffset+SendSize> 0x07FF +1)
{
 FreeSize=( 0x07FF +1)-GetOffset;
 W5100_WriteTxBuffer(PhisycalAddress,TxBuffer,FreeSize);
 W5100_WriteTxBuffer( 0x4000 ,TxBuffer+FreeSize,SendSize-FreeSize);
}
else
{
 W5100_WriteTxBuffer(PhisycalAddress,TxBuffer,SendSize);
}

MemoryPointer+=SendSize;



HighByte=(MemoryPointer&0xff00)>>8;
LowByte=MemoryPointer&0x00ff;
W5100_Write_Byte( 0x0424 ,HighByte);
W5100_Write_Byte( 0x0424 +1,LowByte);

return 0;
}

unsigned char Write_ConstPage(const char* TxBuffer, unsigned int SendSize)
{

unsigned int FreeSize;


unsigned int MemoryPointer;
unsigned int PhisycalAddress;
unsigned char HighByte;
unsigned char LowByte;
unsigned int GetOffset;


MemoryPointer =(unsigned int)W5100_Read_Byte( 0x0424 );
MemoryPointer=MemoryPointer<<8;
MemoryPointer=MemoryPointer|(unsigned int)W5100_Read_Byte( 0x0424 +1);

GetOffset=MemoryPointer& 0x07FF ;
PhisycalAddress= 0x4000 +GetOffset;

if(GetOffset+SendSize> 0x07FF +1)
{
 FreeSize=( 0x07FF +1)-GetOffset;
 W5100_ConstWriteTxBuffer(PhisycalAddress,TxBuffer,FreeSize);
 W5100_ConstWriteTxBuffer( 0x4000 ,TxBuffer+FreeSize,SendSize-FreeSize);
}
else
{
 W5100_ConstWriteTxBuffer(PhisycalAddress,TxBuffer,SendSize);
}

MemoryPointer+=SendSize;



HighByte=(MemoryPointer&0xff00)>>8;
LowByte=MemoryPointer&0x00ff;
W5100_Write_Byte( 0x0424 ,HighByte);
W5100_Write_Byte( 0x0424 +1,LowByte);

return 0;
}



unsigned char Get_Request(char* ReceiveBuffer, unsigned int ReceiveSize)
{
unsigned int GetOffset;
unsigned int MemoryPointer;
unsigned int PhisycalAddress;
unsigned char HighByte;
unsigned char LowByte;
unsigned int FreeSize;




MemoryPointer =(unsigned int)W5100_Read_Byte( 0x0428 );
MemoryPointer=MemoryPointer<<8;
MemoryPointer=MemoryPointer|(unsigned int)W5100_Read_Byte( 0x0428 +1);

GetOffset=MemoryPointer& 0x07FF ;
PhisycalAddress= 0x6000 +GetOffset;

if(GetOffset+ReceiveSize> 0x07FF +1)
{
 FreeSize=( 0x07FF +1)-GetOffset;
 W5100_ReadRxBuffer(PhisycalAddress,ReceiveBuffer,FreeSize);
 W5100_ReadRxBuffer( 0x6000 ,ReceiveBuffer+FreeSize,ReceiveSize-FreeSize);
}
else
{
 W5100_ReadRxBuffer(PhisycalAddress,ReceiveBuffer,ReceiveSize);
}

MemoryPointer+=ReceiveSize;


HighByte=(MemoryPointer&0xff00)>>8;
LowByte=MemoryPointer&0x00ff;
W5100_Write_Byte( 0x0428 ,HighByte);
W5100_Write_Byte( 0x0428 +1,LowByte);


W5100_Write_Byte( 0x0401 , 0x40 );
delay_us(10);

ReceiveBuffer[ReceiveSize-1]='\0';

return 0;
}

unsigned int GetRequestSize()
{
 unsigned int Size;
 Size=0;
 Size=(unsigned int)W5100_Read_Byte( 0x0426 );
 Size=Size<<8;
 Size=Size|(unsigned int)W5100_Read_Byte( 0x0426 +1);
 return Size;
}


unsigned int GetLocalPort()
{
 unsigned int Val;
 Val=(unsigned int)W5100_Read_Byte( 0x0404 );
 Val=Val<<8;
 Val=Val|(unsigned int)W5100_Read_Byte( 0x0404 +1);
 return Val;
}

unsigned int GetRemotePort()
{
 unsigned int Val;
 Val=(unsigned int)W5100_Read_Byte( 0x0410 );
 Val=Val<<8;
 Val=Val|(unsigned int)W5100_Read_Byte( 0x0410 +1);
 return Val;
}

char* GetRemoteIp()
{
_Remote_Ip_Address_[0]=W5100_Read_Byte( 0x040C );
_Remote_Ip_Address_[1]=W5100_Read_Byte( 0x040C +1);
_Remote_Ip_Address_[2]=W5100_Read_Byte( 0x040C +2);
_Remote_Ip_Address_[3]=W5100_Read_Byte( 0x040C +3);
return _Remote_Ip_Address_;
}

char* GetRemoteMac()
{
_Remote_Mac_Address_[0]=W5100_Read_Byte( 0x0406 );
_Remote_Mac_Address_[1]=W5100_Read_Byte( 0x0406 +1);
_Remote_Mac_Address_[2]=W5100_Read_Byte( 0x0406 +2);
_Remote_Mac_Address_[3]=W5100_Read_Byte( 0x0406 +3);
_Remote_Mac_Address_[4]=W5100_Read_Byte( 0x0406 +4);
_Remote_Mac_Address_[5]=W5100_Read_Byte( 0x0406 +5);
return _Remote_Mac_Address_;
}

char* GetLocal_IpAddress()
{
 _Remote_Ip_Address_[0]=W5100_Read_Byte( 0x000f );
 _Remote_Ip_Address_[1]=W5100_Read_Byte( 0x000f +1);
 _Remote_Ip_Address_[2]=W5100_Read_Byte( 0x000f +2);
 _Remote_Ip_Address_[3]=W5100_Read_Byte( 0x000f +3);
 return _Remote_Ip_Address_;
}

char* GetLocal_MacAddress()
{
 _Remote_Mac_Address_[0]=W5100_Read_Byte( 0X0009 );
 _Remote_Mac_Address_[1]=W5100_Read_Byte( 0X0009 +1);
 _Remote_Mac_Address_[2]=W5100_Read_Byte( 0X0009 +2);
 _Remote_Mac_Address_[3]=W5100_Read_Byte( 0X0009 +3);
 _Remote_Mac_Address_[4]=W5100_Read_Byte( 0X0009 +4);
 _Remote_Mac_Address_[5]=W5100_Read_Byte( 0X0009 +5);
 return _Remote_Mac_Address_;
}

char* GetLocal_SubnetMask()
{
 _Remote_Ip_Address_[0]=W5100_Read_Byte( 0X0005 );
 _Remote_Ip_Address_[1]=W5100_Read_Byte( 0X0005 +1);
 _Remote_Ip_Address_[2]=W5100_Read_Byte( 0X0005 +2);
 _Remote_Ip_Address_[3]=W5100_Read_Byte( 0X0005 +3);
 return _Remote_Ip_Address_;
}

char* GetLocal_DefaultGateway()
{
 _Remote_Ip_Address_[0]=W5100_Read_Byte( 0X0001 );
 _Remote_Ip_Address_[1]=W5100_Read_Byte( 0X0001 +1);
 _Remote_Ip_Address_[2]=W5100_Read_Byte( 0X0001 +2);
 _Remote_Ip_Address_[3]=W5100_Read_Byte( 0X0001 +3);
 return _Remote_Ip_Address_;
}


void UpdateSocketStatus()
{
 unsigned int RequestSize;
 unsigned int rp;
 char* rmac;
 unsigned int lp;
 char* rip;

 Socket0 =ReadStatusRegister();
 switch(Socket0)
 {

 case  0x00 :
 if (InitSocket(80)==0) {
 if (StartListening()==0);
 delay_ms(100);
 }
 break;


 case  0x17 :
 RequestSize=GetRequestSize();
 if(RequestSize>0){
 rmac=GetRemoteMac();
 rip=GetRemoteIp();
 lp=GetLocalPort();
 rp=GetRemotePort();
 ProcessTcpRequest(rip,rmac,rp,lp,RequestSize);
 DisconnectSocket();}
 break;

 default:
 CloseSocket();
 break;
 }
}



void SendPage()
{

W5100_Write_Byte( 0x0401 , 0x20 );

while(W5100_Read_Byte( 0x0401 ));
}
#line 40 "C:/Documents and Settings/Nart Schinackow/Desktop/W5100 Library Test/TestSource.c"
sfr sbit W5100_RESET at RB0_bit;
sfr sbit W5100_RESET_DIRECTION at TRISB0_bit;

sfr sbit W5100_SCS at RB1_bit;
sfr sbit W5100_SCS_DIRECTION at TRISB1_bit;

char IpBuf[4]={192,168,1,15};
char SubBuf[4]={255,255,255,0};
char GWBuf[4]={192,168,1,1};
char McBuf[6]={0x00, 0x14, 0xA5, 0x76, 0x19, 0x3f};
char Req[20];


const char TestPage[]=
#line 69 "C:/Documents and Settings/Nart Schinackow/Desktop/W5100 Library Test/TestSource.c"
"HTTP/1.1 200 OK\nContent-Type: text/html\n\n<html><head><title>WELCOME</title><script>function Display(){  alert(\"Hello World!!, Its Working\");}</script></head><body><h1 align=center>WELCOME TO TEST PAGE</h1><h1 align=center><input type=\"button\" value=\"Press Me\" onclick=\"Display()\"></h1></body></html>";


unsigned int ConstStringLength(const char* String)
{
 unsigned int __c__;
 for(__c__=0;*String;String++)__c__++;
 return __c__;
}

void ProcessTcpRequest(char* Remote_Ip, char* Remote_Mac, unsigned int Remote_Port, unsigned int Local_port, unsigned int RequestLength)
{
 Get_Request(Req,20);
 Write_ConstPage(TestPage,ConstStringLength(TestPage)-1);
 SendPage();
}

void main()
{
 W5100_Hardware_Init();
 W5100_Init(IpBuf,SubBuf,GWBuf,McBuf);
 UART1_Init(9600);
 delay_ms(100);



 while(1)
 {
 UpdateSocketStatus();
 }

}
